/
Create a new standard ent...
Security
bearerAuth and apiKeyAuth
If the field is of type LOOKUP, this would specify which entity is the reference for lookup
If this entity is of type LOOKUP and has a parentChild relationship, the entity with the referenced value is also deleted is the referenced entity is deleted.
- Production Serverhttps://api3.sprinklr.com/prod/api/v3/standardEntity/field
- Mock serverhttps://developer.sprinklr.com/_mock/apis/sprinklr-v3/standardEntity/field
curl -i -X POST \
https://api3.sprinklr.com/prod/api/v3/standardEntity/field \
-H 'Authorization: Bearer <YOUR_Token_HERE>' \
-H 'Content-Type: application/json' \
-H 'Key: YOUR_API_KEY_HERE' \
-d '{
"id": "string",
"apiName": "string",
"name": "string",
"description": "string",
"type": "string",
"entityDefinitionId": "string",
"lookupType": "string",
"parentChild": true,
"form": {
"formId": "string",
"formTitle": "string",
"repeatable": true,
"minCount": 0,
"maxCount": 0,
"fields": [
{
"id": "string",
"apiName": "string",
"name": "string",
"description": "string",
"type": "string",
"entityDefinitionId": "string",
"lookupType": "string",
"parentChild": true,
"form": {},
"multivalued": true,
"mandatory": true,
"controllingField": "string",
"picklistValues": [
{
"label": "string",
"value": "string",
"description": "string",
"iconUrl": "string",
"controllingFieldValues": [
"string"
],
"standard": "string",
"active": true,
"defaultValue": true,
"additional": {
"property1": {},
"property2": {}
},
"langVsTranslatedFieldValues": {
"property1": {},
"property2": {}
}
}
],
"defaultValue": {},
"additional": {
"property1": {},
"property2": {}
},
"langVsTranslatedFieldValues": {
"property1": {
"property1": "string",
"property2": "string"
},
"property2": {
"property1": "string",
"property2": "string"
}
}
}
]
},
"multivalued": true,
"mandatory": true,
"controllingField": "string",
"picklistValues": [
{
"label": "string",
"value": "string",
"description": "string",
"iconUrl": "string",
"controllingFieldValues": [
"string"
],
"standard": "string",
"active": true,
"defaultValue": true,
"additional": {
"property1": {},
"property2": {}
},
"langVsTranslatedFieldValues": {
"property1": {
"property1": "string",
"property2": "string"
},
"property2": {
"property1": "string",
"property2": "string"
}
}
}
],
"defaultValue": {},
"additional": {
"property1": {},
"property2": {}
},
"langVsTranslatedFieldValues": {
"property1": {
"property1": "string",
"property2": "string"
},
"property2": {
"property1": "string",
"property2": "string"
}
}
}'Success
If the field is of type LOOKUP, this would specify which entity is the reference for lookup
If this entity is of type LOOKUP and has a parentChild relationship, the entity with the referenced value is also deleted is the referenced entity is deleted.
Response
{ "id": "string", "apiName": "string", "name": "string", "description": "string", "type": "string", "entityDefinitionId": "string", "lookupType": "string", "parentChild": true, "form": { "formId": "string", "formTitle": "string", "repeatable": true, "minCount": 0, "maxCount": 0, "fields": [ … ] }, "multivalued": true, "mandatory": true, "controllingField": "string", "picklistValues": [ { … } ], "defaultValue": {}, "additional": { "property1": {}, "property2": {} }, "langVsTranslatedFieldValues": { "property1": { … }, "property2": { … } } }